Get on-time completion metrics per assignee
get
https://api.expiryedge.com/v1/getTeamProductivityany role60/minAny method
Request
curl 'https://api.expiryedge.com/v1/getTeamProductivity?days=90' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY"Response
{
"success": true,
"lookbackDays": 90,
"productivity": [
{
"userId": "u_71bXq",
"name": "Priya Shah",
"total": 20,
"completed": 12,
"completedOnTime": 11,
"completedLate": 1,
"pending": 7,
"overdue": 1,
"daysBeforeExpiry": [
14,
3,
21
],
"onTimeRate": 92,
"avgDaysBeforeExpiry": 13
}
]
}Covers non-archived expiries whose expiry date is within the last days days (default 90) or later. Sorted by onTimeRate descending.
daysintegerDefault90min: 1
200
Productivity per assignee.
successbooleanlookbackDaysintegerproductivityarray of objects
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
500 | Unexpected server error. Retry later; quote requestId to support. |
